summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-11-28 20:28:40 -0600
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-11-29 12:45:58 +0100
commit5755ca93b7770ac2b0eb3e89e2a7d2a07e8fb9ec (patch)
tree1a3c8de1d199bfebb18fc44ee42dc4946739787d
parent6643d1b57d6bf09ece45d38b64d977156d7a4b6c (diff)
downloadslackbuilds-5755ca93b7770ac2b0eb3e89e2a7d2a07e8fb9ec.tar.gz
slackbuilds-5755ca93b7770ac2b0eb3e89e2a7d2a07e8fb9ec.tar.xz
office/libreoffice-langpack: Added (language packs for LO)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--office/libreoffice-langpack/README16
-rw-r--r--office/libreoffice-langpack/libreoffice-langpack.SlackBuild95
-rw-r--r--office/libreoffice-langpack/libreoffice-langpack.info10
-rw-r--r--office/libreoffice-langpack/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/office/libreoffice-langpack/README b/office/libreoffice-langpack/README
new file mode 100644
index 0000000000..f74b73765b
--- /dev/null
+++ b/office/libreoffice-langpack/README
@@ -0,0 +1,16 @@
+Language Pack for LibreOffice productivity suite.
+
+This script builds the language pack for the en-GB locale.
+To build other locales, download your language pack from:
+
+ http://download.documentfoundation.org/libreoffice/testing/3.3.0-beta2/rpm/x86/
+
+and start the SlackBuild as follows:
+
+ # LOLANG=xx-YY ./libreoffice-langpack.SlackBuild
+
+This package was prepared for LibreOffice built from here at SlackBuilds.org;
+if you want to build a package compatible with LibreOffice built from source
+(like AlienBOB's packages), start the script as follows:
+
+ # LOLANG=xx-YY ALIEN=yes ./libreoffice-langpack.SlackBuild
diff --git a/office/libreoffice-langpack/libreoffice-langpack.SlackBuild b/office/libreoffice-langpack/libreoffice-langpack.SlackBuild
new file mode 100644
index 0000000000..00280a5973
--- /dev/null
+++ b/office/libreoffice-langpack/libreoffice-langpack.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for LibreOffice Language Packs
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/11/28
+
+PRGNAM=libreoffice-langpack
+VERSION=${VERSION:-"3.3.0_beta3"}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+LOLANG=${LOLANG:-en-GB}
+PKG_LANG=${LOLANG//-/_}
+ALIEN=${ALIEN:-no}
+
+SRCVERSION=$(echo $VERSION | cut -f1 -d_)
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Change source package name
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86-64"
+ PKGARCH="$ARCH"
+ LIBDIRSUFFIX=64
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for LibreOffice...\n\n"
+ exit 1
+else
+ SRCARCH="x86"
+ PKGARCH="i586"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+# Concatenate all parts to get the full name of the tarball
+TARBALL="LibO_${SRCVERSION}_Linux_${SRCARCH}_langpack-rpm_${LOLANG}.tar.gz"
+if [ ! -r $TARBALL ]; then
+ echo "$TARBALL not found"
+ exit 1
+fi
+
+# Get "base" directory of tarball
+SOURCEDIR=$(tar tzf $CWD/$TARBALL 2>/dev/null | head -n 1 | tr -d \/)
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$SOURCEDIR
+
+tar xvf $CWD/$TARBALL -C $TMP
+
+cd $TMP/$SOURCEDIR/RPMS/
+
+for FILE in *.rpm ; do rpm2cpio < $FILE | cpio -imdv ; done
+mv opt $PKG
+cd $PKG
+
+# Move docs to their expected locations
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $PKG/opt/libreoffice
+ mv readmes licenses $PKG/usr/doc/$PRGNAM-$VERSION
+cd -
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Fix ownership and permissions and make the package
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+chmod -R u+rw,go+r-w,a-s .
+
+if [ "$ALIEN" == "yes" ]; then
+ cd $PKG/opt
+ mkdir -p ../usr/lib${LIBDIRSUFFIX}
+ mv libreoffice ../usr/lib${LIBDIRSUFFIX}
+ cd ..
+ rmdir opt
+ cd usr/lib${LIBDIRSUFFIX}
+ cd $PKG
+fi
+
+/sbin/makepkg -c n -l y $OUTPUT/$PRGNAM-${VERSION}_${PKG_LANG}-$PKGARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/libreoffice-langpack/libreoffice-langpack.info b/office/libreoffice-langpack/libreoffice-langpack.info
new file mode 100644
index 0000000000..257d337ec4
--- /dev/null
+++ b/office/libreoffice-langpack/libreoffice-langpack.info
@@ -0,0 +1,10 @@
+PRGNAM="libreoffice-langpack"
+VERSION="3.3.0_beta3"
+HOMEPAGE="http://www.documentfoundation.org"
+DOWNLOAD="http://download.documentfoundation.org/libreoffice/testing/3.3.0-beta3/rpm/x86/LibO_3.3.0_Linux_x86_langpack-rpm_en-GB.tar.gz"
+MD5SUM="a3192003b0489ee4b502da584a7f3afc"
+DOWNLOAD_x86_64="http://download.documentfoundation.org/libreoffice/testing/3.3.0-beta3/rpm/x86_64/LibO_3.3.0_Linux_x86-64_langpack-rpm_en-GB.tar.gz"
+MD5SUM_x86_64="3a306f638051674786268dc01e5f8e3b"
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/office/libreoffice-langpack/slack-desc b/office/libreoffice-langpack/slack-desc
new file mode 100644
index 0000000000..9cb4ded379
--- /dev/null
+++ b/office/libreoffice-langpack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+libreoffice-langpack: LibreOffice Language Pack (for LibreOffice Productivity Suite)
+libreoffice-langpack:
+libreoffice-langpack: Language Pack for LibreOffice productivity suite.
+libreoffice-langpack:
+libreoffice-langpack: Homepage: http://www.documentfoundation.org
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack:
+libreoffice-langpack: